<!-- #INCLUDE FILE="inc_header.asp" -->
<!-- #INCLUDE FILE="func_sql.asp" -->
<%
Sub Main()
	If intUserLevel < 4 Then
		Redirect("default.asp")
		Exit Sub
	End If

	Response.Write(H2("Config " & strLanguageAdmin) & vbNewLine)

	Call GetValue(2, "Action", 8)

	Select Case UCase(qryAction)
		Case "SQL":
			Call GetValue(1, "ConfigForumTitle", 8)
			Call GetValue(1, "ConfigForumCopyright", 8)
			Call GetValue(1, "ConfigEmailType", 8)
			Call GetValue(1, "ConfigEmailServer", 8)
			Call GetValue(1, "ConfigEmailSender", 8)
			Call GetValue(1, "ConfigDateFormat", 2)
			Call GetValue(1, "ConfigPageSize", 2)
			Call GetValue(1, "ConfigLanguage", 2)
			Call GetValue(1, "ConfigForumStyle", 8)

			If Len(frmConfigForumTitle) < 1 Or Len(frmConfigForumCopyright) < 1 Or Len(frmConfigEmailType) < 1 Or Len(frmConfigEmailServer) < 1 Or Len(frmConfigEmailSender) < 1 Or Len(frmConfigDateFormat) < 1 Or Len(frmConfigPageSize) < 1 Or Len(frmConfigLanguage) < 1 Or Len(frmConfigForumStyle) < 1 Then
				Response.Write(Error(1, "Please ensure that all fields are correctly filled in.") & vbNewLine)
				Exit Sub
			End If

			objRS.Open TableUpdate(strConfigTablePrefix & "Config", "ConfigForumTitle, ConfigForumCopyright, ConfigEmailType, ConfigEmailServer, ConfigEmailSender, ConfigDateFormat, ConfigPageSize, ConfigLanguage, ConfigForumStyle", "'" & SQLText(frmConfigForumTitle) & "'> '" & SQLText(frmConfigForumCopyright) & "'> '" & SQLText(frmConfigEmailType) & "'> '" & SQLText(frmConfigEmailServer) & "'> '" & SQLText(frmConfigEmailSender) & "'> " & frmConfigDateFormat & "> " & frmConfigPageSize & "> " & frmConfigLanguage & "> '" & SQLText(frmConfigForumStyle) & "'", "ConfigForumTitle", "'" & strConfigForumTitle & "'"), objConn

			Response.Write(Success("Config updated successfully."))
		Case Else:
			Response.Write("<form action=""admin_config.asp?action=sql"" method=""post"">" & vbNewLine)

			Response.Write(Div("<strong>Forum title:</strong>&nbsp;" & Input("text", "configforumtitle", 20, 50, Null, FormText(strConfigForumTitle))) & vbNewLine)

			Response.Write(Div("<strong>Forum copyright:</strong>&nbsp;" & Input("text", "configforumcopyright", 20, 50, Null, FormText(strConfigForumCopyright))) & vbNewLine)

			Response.Write("<div><strong>Email type:</strong>&nbsp;<select name=""configemailtype"">")
			Response.Write("<option value=""aspmail""")
			If UCase(strConfigEmailType) = "ASPMAIL" Then
				Response.Write(" selected")
			End If
			Response.Write(">ASPMail</option>")
			Response.Write("<option value=""aspemail""")
			If UCase(strConfigEmailType) = "ASPEMAIL" Then
				Response.Write(" selected")
			End If
			Response.Write(">ASPEmail</option>")
			Response.Write("<option value=""aspqmail""")
			If UCase(strConfigEmailType) = "ASPQMAIL" Then
				Response.Write(" selected")
			End If
			Response.Write(">ASPQMail</option>")
			Response.Write("<option value=""cdonts""")
			If UCase(strConfigEmailType) = "CDONTS" Then
				Response.Write(" selected")
			End If
			Response.Write(">CDONTS</option>")
			Response.Write("<option value=""chillicdonts""")
			If UCase(strConfigEmailType) = "CHILLICDONTS" Then
				Response.Write(" selected")
			End If
			Response.Write(">Chilli! CDONTS</option>")
			Response.Write("<option value=""dkqmail""")
			If UCase(strConfigEmailType) = "DKQMAIL" Then
				Response.Write(" selected")
			End If
			Response.Write(">dkQMail</option>")
			Response.Write("<option value=""geocel""")
			If UCase(strConfigEmailType) = "GEOCEL" Then
				Response.Write(" selected")
			End If
			Response.Write(">Geocel</option>")
			Response.Write("<option value=""iismail""")
			If UCase(strConfigEmailType) = "IISMAIL" Then
				Response.Write(" selected")
			End If
			Response.Write(">IISMail</option>")
			Response.Write("<option value=""jmail""")
			If UCase(strConfigEmailType) = "JMAIL" Then
				Response.Write(" selected")
			End If
			Response.Write(">JMail</option>")
			Response.Write("<option value=""smtp""")
			If UCase(strConfigEmailType) = "SMTP" Then
				Response.Write(" selected")
			End If
			Response.Write(">SMTP</option>")
			Response.Write("</select></div>")

			Response.Write(Div("<strong>Email server:</strong>&nbsp;" & Input("text", "configemailserver", 20, 50, Null, FormText(strConfigEmailServer))) & vbNewLine)

			Response.Write(Div("<strong>Email sender:</strong>&nbsp;" & Input("text", "configemailsender", 20, 50, Null, FormText(strConfigEmailSender))) & vbNewLine)

			Response.Write("<div><strong>Date format:</strong>&nbsp;<select name=""configdateformat"">")
			Response.Write("<option value=""0""")
			If strConfigDateFormat = 0 Then
				Response.Write(" selected")
			End If
			Response.Write(">General date</option>")
			Response.Write("<option value=""1""")
			If strConfigDateFormat = 1 Then
				Response.Write(" selected")
			End If
			Response.Write(">Long date</option>")
			Response.Write("<option value=""2""")
			If strConfigDateFormat = 2 Then
				Response.Write(" selected")
			End If
			Response.Write(">Short date</option>")
			Response.Write("<option value=""3""")
			If strConfigDateFormat = 3 Then
				Response.Write(" selected")
			End If
			Response.Write(">Long time</option>")
			Response.Write("<option value=""4""")
			If strConfigDateFormat = 4 Then
				Response.Write(" selected")
			End If
			Response.Write(">Short time</option>")
			Response.Write("</select></div>")

			Response.Write(Div("<strong>Page size:</strong>&nbsp;" & Input("text", "configpagesize", 2, 50, Null, FormText(strConfigPageSize))) & vbNewLine)

			Response.Write("<div><strong>Language:</strong>&nbsp;<select name=""configlanguage"">")
			Response.Write("<option value=""1""")
			If strConfigLanguage = 1 Then
				Response.Write(" selected")
			End If
			Response.Write(">English</option>")
			Response.Write("</select></div>")

			Response.Write(Div("<strong>Forum style<sup><a href=""http://www.htmlhelp.com/reference/css/"" target=""new"">?</a></sup>:</strong>&nbsp;" & Input("textarea", "configforumstyle", 40, Null, 10, FormMemo(strConfigForumStyle))) & vbNewLine)

			Response.Write(Div(Input("submit", "submit", Null, Null, Null, "Submit")) & vbNewLine)

			Response.Write("</form>" & vbNewLine)
	End Select
End Sub
%>
<!-- #INCLUDE FILE="inc_footer.asp" -->