<!-- #INCLUDE FILE="inc_header.asp" -->
<!-- #INCLUDE FILE="func_sql.asp" -->
<%
Sub Main()
	If intUserLevel < 4 Then
		Redirect("default.asp")
		Exit Sub
	End If

	Response.Write(H2("Users " & strLanguageAdmin) & vbNewLine)

	Call GetValue(2, "Mode", 8)

	Select Case UCase(qryMode)
		Case "EDIT":
			Call Edit()
			Exit Sub
	End Select

	Response.Write(P("Please type a user ID.") & vbNewLine)
	Response.Write("<form action=""admin_users.asp"" method=""get"">")
	Response.Write(Input("hidden", "mode", Null, Null, Null, "edit"))
	Response.Write(P("<strong>User ID<sup><a href=""user.asp"">?</a></sup>:</strong>&nbsp;" & Input("text", "UserID", 2, 50, Null, Null)) & vbNewLine)
	Response.Write(P(Input("submit", Null, Null, Null, Null, "Submit")) & vbNewLine)
	Response.Write("</form>")
End Sub

Sub Edit()
	Call GetValue(2, "UserID", 2)

	If Len(qryUserID) < 1 Then
		Redirect("admin_users.asp")
		Exit Sub
	End If

	Call GetValue(2, "Action", 8)

	Select Case UCase(qryAction)
		Case "SQL":
			Call GetValue(1, "UserStatus", 2)
			Call GetValue(1, "ForumID", 2)
			Call GetValue(1, "Tool", 8)

			objRS.Open TableUpdate(strConfigTablePrefix & "Users", "UserLevel", frmUserStatus, "UserID", qryUserID), objConn

			If frmUserStatus > 2 And Len(frmForumID) > 0 Then
				Select Case UCase(frmTool)
					Case "INSERT":
						objRS.Open TableInsert(strConfigTablePrefix & "Moderators", "ForumID, UserID", frmForumID & ", " & qryUserID), objConn
					Case "UPDATE":
						objRS.Open TableDelete(strConfigTablePrefix & "Moderators", "UserID", qryUserID), objConn
						objRS.Open TableInsert(strConfigTablePrefix & "Moderators", "ForumID, UserID", frmForumID & ", " & qryUserID), objConn
				End Select
			End If

			Response.Write(Success("User ID " & qryUserID & " was edited successfully.") & vbNewLine)
		Case Else:
			objRS.Open TableSelectWhere(strConfigTablePrefix & "Users", "UserID", qryUserID, "UserID", "ASC"), objConn

			If objRS.RecordCount < 1 Then
				Redirect("admin_users.asp")
				Exit Sub
			End If

			Response.Write("<form action=""admin_users.asp?mode=edit&userid=" & qryUserID & "&action=sql"" method=""post"">" & vbNewLine)
			Response.Write("<div><strong>User status- blocked:</strong>&nbsp;")
			If objRS.Fields("UserLevel") = 1 Then
				Response.Write(Input("radio", "userstatus", 1, Null, Null, "1"))
			Else
				Response.Write(Input("radio", "userstatus", Null, Null, Null, "1"))
			End If
			Response.Write("</div>" & vbNewLine)
			Response.Write("<div><strong>User status- normal:</strong>&nbsp;")
			If objRS.Fields("UserLevel") = 2 Then
				Response.Write(Input("radio", "userstatus", 1, Null, Null, "2"))
			Else
				Response.Write(Input("radio", "userstatus", Null, Null, Null, "2"))
			End If
			Response.Write("</div>" & vbNewLine)
			Response.Write("<div><strong>User status- moderator:</strong>&nbsp;")
			If objRS.Fields("UserLevel") = 3 Then
				Response.Write(Input("radio", "userstatus", 1, Null, Null, "3"))
			Else
				Response.Write(Input("radio", "userstatus", Null, Null, Null, "3"))
			End If
			Response.Write("</div>" & vbNewLine)
			Response.Write("<div><strong>User status- admin:</strong>&nbsp;")
			If objRS.Fields("UserLevel") = 4 Then
				Response.Write(Input("radio", "userstatus", 1, Null, Null, "4"))
			Else
				Response.Write(Input("radio", "userstatus", Null, Null, Null, "4"))
			End If
			Response.Write("</div>" & vbNewLine)

			objRS.Close

			Response.Write("<div><strong>Forum to moderate (only if &quot;moderator&quot; or &quot;admin&quot; is checked):</strong>&nbsp;<select name=""forumid""><option value="""">No more forums</option>")

			objRS.Open TableSelectAll(strConfigTablePrefix & "Forums", "CategoryID", "ASC"), objConn, adOpenStatic
			Do While Not objRS.EOF
				Response.Write("<option value=""" & objRS.Fields("ForumID") & """>" & objRS.Fields("ForumTitle") & "</option>")

				objRS.MoveNext
			Loop
			objRS.Close
			Response.Write("</select></div>")

			Response.Write("<div><strong>Moderate as only forum:</strong>&nbsp;" & Input("radio", "tool", Null, Null, Null, "update") & "</div>" & vbNewLine)
			Response.Write("<div><strong>Moderate as additional forum:</strong>&nbsp;" & Input("radio", "tool", 1, Null, Null, "insert") & "</div>" & vbNewLine)

			Response.Write(Div(Input("submit", "submit", Null, Null, Null, "Submit")) & vbNewLine)
			Response.Write("</form>" & vbNewLine)

	End Select
End Sub
%>
<!-- #INCLUDE FILE="inc_footer.asp" -->