<!-- #INCLUDE FILE="inc_adovbs.asp" -->
<!-- #INCLUDE FILE="func_global.asp" -->
<!-- #INCLUDE FILE="func_html.asp" -->
<%
'#################################################################################
'## Copyright (c) 2001  Sean McGivern
'## 
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License
'## as published by the Free Software Foundation; either version 2
'## of the License, or any later version.
'##
'## All copyright notices regarding smNews must remain intact in the
'## scripts and in the outputted HTML. The "powered by" text with a
'## link back to http://www.tombstone.org.uk/sm/forum/ in the footer
'## of the pages MUST remain visible when the pages are viewed on
'## the internet or intranet.
'## 
'## This program is distributed in the hope that it will be useful,
'## but WITHOUT ANY WARRANTY; without even the implied warranty of
'## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'## GNU General Public License for more details.
'## 
'## You should have received a copy of the GNU General Public License
'## along with this program; if not, write to the Free Software
'## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'## 
'## Correspondence and Questions can be sent to:
'## sean@tombstone.org.uk
'## 
'#################################################################################
' ****************************************
' ****************************************
' **   PRIMARY PREFIX NOTATION GUIDE:   **
' ****************************************
' **str = String (unless one of below)  **
' **arr = Array                         **
' **bln = Boolean    (unused in smForum)**
' **cki = Cookie Data                   **
' **cur = Currency   (unused in smForum)**
' **dbl = Double     (unused in smForum)**
' **dte = Date                          **
' **frm = Form Data                     **
' **int = Integer                       **
' **lng = Long       (unused in smForum)**
' **obj = Object                        **
' **pv  = Private  (for Sub or Function)**
' **qry = QueryString                   **
' **sng = Single     (unused in smForum)**
' ****************************************
' ** (Often variables will be given an  **
' ** incorrect prefix in smForum. This  **
' ** is due to automated collection of  **
' ** data from Recordsets. The prefixes **
' ** shown above are for hard-coded     **
' ** variables and are included for the **
' ** sake of 'completeness' [although   **
' ** not every vartype is listed].)     **
' ****************************************
' ****************************************
' **  SECONDARY PREFIX NOTATION GUIDE:  **
' ****************************************
' **Conn = Connection                   **
' **RS = Recordset                      **
' **Mail = Mail                         **
' ****************************************
' ****************************************

Dim objConn, objRS
Set objConn = Server.CreateObject("ADODB.Connection")
Set objRS = Server.CreateObject("ADODB.Recordset")

Dim strDatabasePath, strConfigTablePrefix
strDatabasePath = Server.MapPath("/fpdb/smforum.mdb")
strConfigTablePrefix = "Forum"

objConn.Open "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & strDatabasePath & ";"

Call GetConfig(TableFields(strConfigTablePrefix & "Config"))

Call GetValue(2, "UserMode", 8)

Select Case UCase(qryUserMode)
	Case "LOGIN":
		Call Login()
	Case "LOGOUT":
		Call Logout()
End Select

Dim intUserID, intUserLevel, strUserTitle

Call GetValue(3, "UserID", 2)
Call GetValue(3, "UserPassword", 8)
Call GetValue(3, "UserLastVisited", 7)

Response.Cookies(strConfigForumTitle)("UserLastVisited") = Now() - 0.01
Response.Cookies(strConfigForumTitle).Expires = Now() + 999

If Len(ckiUserID) > 0 Then
	objRS.Open TableSelectWhere(strConfigTablePrefix & "Users", "UserID", ckiUserID, "UserID", "ASC"), objConn, adOpenStatic

	If objRS.RecordCount > 0 Then
		If objRS.Fields("UserPassword") = ckiUserPassword Then
			intUserID = objRS.Fields("UserID")
			intUserLevel = objRS.Fields("UserLevel")
			strUserTitle = objRS.Fields("UserTitle")
		End If
	End If

	objRS.Close
End If
%>
<!-- #INCLUDE FILE="inc_language.asp" -->