<!-- #INCLUDE FILE="inc_header.asp" -->
<!-- #INCLUDE FILE="func_email.asp" -->
<!-- #INCLUDE FILE="func_sql.asp" -->
<%
Sub Main()
	Call GetValue(2, "Mode", 8)

	If intUserLevel < 2 Then
		Redirect("default.asp")
		Exit Sub
	End If

	Select Case UCase(qryMode)
		Case "TOPIC":
			Call Topic()
			Exit Sub
		Case "REPLY":
			Call Reply()
			Exit Sub
		Case "EDIT":
			Call Edit()
			Exit Sub
	End Select
End Sub

Sub Topic()
	Call GetValue(1, "Action", 8)

	Select Case UCase(frmAction)
		Case "SQL":
			Call GetValue(1, "ForumID", 2)
			Call GetValue(1, "PostTitle", 8)
			Call GetValue(1, "PostText", 8)

			If Len(frmForumID) < 1 Or Len(frmPostTitle) < 1 Or Len(frmPostText) < 1 Then
				Response.Write(Error(1, "Please fill in all required form fields."))
				Exit Sub
			End If

			If PostCheck("title", frmPostTitle) > 0 Then
				Response.Write(Error(0, "Post title taken. Please try again."))
				Exit Sub
			End If

			objRS.Open TableInsert(strConfigTablePrefix & "Posts", "ForumID, UserID, ParentID, PostStatus, PostTitle, PostText", frmForumID & ", " & intUserID & ", 0, 1, '" & SQLText(frmPostTitle) & "', '" & SQLMemo(frmPostText) & "'"), objConn

			Response.Write(Success("Posted succesfully. <a href=""forum.asp?forumid=" & frmForumID & """>Back to forum</a>."))
		Case Else:
			Dim strForumTitle

			Call GetValue(2, "ForumID", 2)

			If Len(qryForumID) < 1 Then
				Redirect("default.asp")
				Exit Sub
			End If

			objRS.Open TableSelectWhere(strConfigTablePrefix & "Forums", "ForumID", qryForumID, "ForumID", "ASC"), objConn

			strForumTitle = objRS.Fields("ForumTitle")

			objRS.Close

			Response.Write(H2("Post new topic in '" & strForumTitle & "'."))

			Call PostForm("topic", qryForumID, Null, Null, Null, Null)
	End Select
End Sub

Sub Reply()
	Call GetValue(1, "Action", 8)

	Select Case UCase(frmAction)
		Case "SQL":
			Call GetValue(1, "ParentID", 2)
			Call GetValue(1, "PostTitle", 8)
			Call GetValue(1, "PostText", 8)

			If Len(frmParentID) < 1 Or Len(frmPostTitle) < 1 Or Len(frmPostText) < 1 Then
				Response.Write(Error(1, "Please fill in all required form fields."))
				Exit Sub
			End If

			If PostCheck("parent", frmParentID) > 0 Then
				Response.Write(Error(0, "Invalid parent ID. Plase try again."))
				Exit Sub
			End If

			If PostCheck("title", frmPostTitle) > 0 Then
				Response.Write(Error(0, "Post title taken. Please try again."))
				Exit Sub
			End If

			objRS.Open TableInsert(strConfigTablePrefix & "Posts", "ForumID, UserID, ParentID, PostStatus, PostTitle, PostText", GetForumID(frmParentID) & ", " & intUserID & ", " & frmParentID & ", 1, '" & SQLText(frmPostTitle) & "', '" & SQLMemo(frmPostText) & "'"), objConn

			Response.Write(Success("Posted succesfully. <a href=""topic.asp?topicid=" & frmParentID & """>Back to topic</a>."))
		Case Else:
			Dim strParentTitle

			Call GetValue(2, "ParentID", 2)

			If Len(qryParentID) < 1 Then
				Redirect("default.asp")
				Exit Sub
			End If

			objRS.Open TableSelectWhere(strConfigTablePrefix & "Posts", "PostID", qryParentID, "PostID", "ASC"), objConn

			strParentTitle = objRS.Fields("PostTitle")

			objRS.Close

			Response.Write(H2("Post reply to '" & strParentTitle & "'."))

			Call PostForm("reply", Null, qryParentID, Null, Null, Null)
	End Select
End Sub

Sub Edit()
	Call GetValue(1, "Action", 8)

	Select Case UCase(frmAction)
		Case "SQL":
			Call GetValue(1, "PostID", 2)
			Call GetValue(1, "PostTitle", 8)
			Call GetValue(1, "PostText", 8)

			If Len(frmPostID) < 1 Or Len(frmPostTitle) < 1 Or Len(frmPostText) < 1 Then
				Response.Write(Error(1, "Please fill in all required form fields."))
				Exit Sub
			End If

			If PostCheck("title", frmPostTitle) > 1 Then
				Response.Write(Error(0, "Post title taken. Please try again."))
				Exit Sub
			End If

			frmPostText = frmPostText & Chr(10) & Chr(10) & "[small]Edited by " & strUserTitle & " on " & ConvertDate(Now()) & ".[/small]"

			objRS.Open TableUpdate(strConfigTablePrefix & "Posts", "PostTitle, PostText", "'" & SQLText(frmPostTitle) & "'> '" & SQLMemo(frmPostText) & "'", "PostID", frmPostID), objConn

			Response.Write(Success("Edited succesfully. <a href=""default.asp"">Back to home</a>."))
		Case Else:
			Dim strPostTitle, strPostText

			Call GetValue(2, "PostID", 2)

			If Len(qryPostID) < 1 Then
				Redirect("default.asp")
				Exit Sub
			End If

			objRS.Open TableSelectWhere(strConfigTablePrefix & "Posts", "PostID", qryPostID, "PostID", "ASC"), objConn

			strPostTitle = objRS.Fields("PostTitle")
			strPostText = objRS.Fields("PostText")

			objRS.Close

			Response.Write(H2("Edit '" & strPostTitle & "'."))

			Call PostForm("edit", Null, Null, qryPostID, strPostTitle, strPostText)
	End Select
End Sub

Sub PostForm(pvMode, pvForumID, pvParentID, pvPostID, pvPostTitle, pvPostText)
	Response.Write("<form action=""post.asp?mode=" & pvMode & """ method=""post"">")
	Response.Write(Input("hidden", "action", Null, Null, Null, "sql"))
	If pvForumID > 0 Then
		Response.Write(Input("hidden", "forumid", Null, Null, Null, pvForumID))
	End If
	If pvParentID > 0 Then
		Response.Write(Input("hidden", "parentid", Null, Null, Null, pvParentID))
	End If
	If pvPostID > 0 Then
		Response.Write(Input("hidden", "postid", Null, Null, Null, pvPostID))
	End If
	Response.Write(P("<strong>Post title:</strong>&nbsp;" & Input("text", "posttitle", 20, 50, Null, FormText(pvPostTitle))) & vbNewLine)
	Response.Write(P("<strong>Post text:</strong>&nbsp;" & Input("textarea", "posttext", 40, Null, 5, FormMemo(pvPostText))) & vbNewLine)
	Response.Write("<p align=""center"">" & Input("submit", "submit", Null, Null, Null, "Submit") & "</p>" & vbNewLine)
	Response.Write("</form>" & vbNewLine)
End Sub

Function PostCheck(pvType, pvCheck)
	Select Case UCase(pvType)
		Case "TITLE":
			objRS.Open TableSelectWhere(strConfigTablePrefix & "Posts", "PostTitle", "'" & SQLText(pvCheck) & "'", "PostID", "ASC"), objConn, adOpenStatic

			PostCheck = objRS.RecordCount

			objRS.Close
		Case "PARENT"
			objRS.Open TableSelectWhere(strConfigTablePrefix & "Posts", "PostID", pvCheck, "PostID", "ASC"), objConn, adOpenStatic

			PostCheck = objRS.Fields("ParentID")

			objRS.Close
	End Select
End Function

Function GetForumID(pvParentID)
	objRS.Open TableSelectWhere(strConfigTablePrefix & "Posts", "PostID", pvParentID, "PostID", "ASC"), objConn, adOpenStatic

	GetForumID = objRS.Fields("ForumID")

	objRS.Close
End Function
%>
<!-- #INCLUDE FILE="inc_footer.asp" -->