<%
Sub SendEmail(pvSender, pvSenderEmail, pvRecipients, pvRecipientsEmail, pvSubject, pvBody)
	Dim objEmail

	Select Case UCase(strConfigEmailType)
		Case "ASPMAIL"
			Set objEmail = Server.CreateObject("SMTPsvg.Mailer")
			objEmail.FromName = pvSender
			objEmail.FromAddress = pvSenderEmail
			objEmail.RemoteHost = strConfigEmailServer
			objEmail.AddRecipient pvRecipients, pvRecipientsEmail
			objEmail.Subject = pvSubject
			objEmail.BodyText = pvBody
			objEmail.SendMail
		Case "ASPEMAIL"
			Set objEmail = Server.CreateObject("Persits.MailSender")
			objEmail.FromName = pvSender
			objEmail.From = pvSenderEmail
			objEmail.AddReplyTo pvSenderEmail
			objEmail.Host = strConfigEmailServer
			objEmail.AddAddress pvRecipientsEmail, pvRecipients
			objEmail.Subject = pvSubject
			objEmail.Body = pvBody
			objEmail.Send
		Case "ASPQMAIL"
			Set objEmail = Server.CreateObject("SMTPsvg.Mailer")
			objEmail.QMessage = 1
			objEmail.FromName = pvSender
			objEmail.FromAddress = pvSenderEmail
			objEmail.RemoteHost = strConfigEmailServer
			objEmail.AddRecipient pvRecipients, pvRecipientsEmail
			objEmail.Subject = pvSubject
			objEmail.BodyText = pvBody
			objEmail.SendMail
		Case "CDONTS"
			Set objEmail = Server.CreateObject ("CDONTS.NewMail")
			objEmail.BodyFormat = 1
			objEmail.MailFormat = 0
			objEmail.Send pvSenderEmail, pvRecipientsEmail, pvSubject, pvBody
		Case "CHILLICDONTS"
			Set objEmail = Server.CreateObject ("CDONTS.NewMail")
			objEmail.Send pvSenderEmail, pvRecipientsEmail, pvSubject, pvBody
		Case "DKQMAIL"
			Set objEmail = Server.CreateObject("dkQmail.Qmail")
			objEmail.FromEmail = pvSenderEmail
			objEmail.ToEmail = pvRecipientsEmail
			objEmail.Subject = pvSubject
			objEmail.Body = pvBody
			objEmail.CC = ""
			objEmail.MessageType = pvBody
			objEmail.SendMail()
		Case "GEOCEL"
			set objEmail = Server.CreateObject("Geocel.Mailer")
			objEmail.AddServer strConfigEmailServer, 25
			objEmail.AddRecipient pvRecipientsEmail, pvRecipients
			objEmail.FromName = pvSender
			objEmail.FromAddress = pvSenderEmail
			objEmail.Subject = pvSubject
			objEmail.Body = pvBody
			objEmail.Send()
		Case "IISMAIL"
			Set objEmail = Server.CreateObject("IISMail.IISMail.1")
			MailServer = strConfigEmailServer
			objEmail.Server = strConfigEmailServer
			objEmail.AddRecipient(pvRecipientsEmail)
			objEmail.From = pvSenderEmail
			objEmail.Subject = pvSubject
			objEmail.body = pvBody
			objEmail.Send
		Case "JMAIL"
			Set objEmail = Server.CreateObject("Jmail.SMTPMail")
			objEmail.ServerAddress = strConfigEmailServer
			objEmail.AddRecipient pvRecipientsEmail
			objEmail.Sender = pvSenderEmail
			objEmail.Subject = pvSubject
			objEmail.Body = pvBody
			objEmail.Priority = 3
			objEmail.Execute
		Case "SMTP"
			Set objEmail = Server.CreateObject("SMTPMail.SMTPMail.1")
			objEmail.MailServer = strConfigEmailServer
			objEmail.Recipients = pvRecipientsEmail
			objEmail.Sender = pvSenderEmail
			objEmail.Subject = pvSubject
			objEmail.Message = pvBody
			objEmail.SendMail2
	End Select

	Set objEmail = Nothing
End Sub

Function ShowEmailForm(pvSender, pvSenderEmail, pvRecipient, pvRecipientEmail)
	ShowEmailForm = "<form action=""" & Request.ServerVariables("SCRIPT_NAME") & "?mode=sendemail"" method=""post""><table width=""70%"" align=""center"">" & vbNewLine & "<thead><th>Sender/Recipient</th><th>Subject/Body</th></thead>" & vbNewLine & "<tbody>" & vbNewLine &_
	"<tr>" & vbNewLine & "<td width=""35%""><table><tbody>" & vbNewLine &_
	"<tr><td><strong>Sender:</strong>&nbsp;" & pvSender & "</td></tr>" & vbNewLine &_
	Input("hidden", "sender", Null, Null, Null, pvSender) &_
	"<tr><td><strong>Sender email:</strong>&nbsp;" & pvSenderEmail & "</td></tr>" & vbNewLine &_
	Input("hidden", "senderemail", Null, Null, Null, pvSenderEmail) &_
	"<tr><td><strong>Recipient:</strong>&nbsp;" & pvRecipient & "</td></tr>" & vbNewLine &_
	Input("hidden", "recipient", Null, Null, Null, pvRecipient) &_
	"<tr><td><strong>Recipient email:</strong>&nbsp;" & pvRecipientEmail & "</td>" & vbNewLine &_
	Input("hidden", "recipientemail", Null, Null, Null, pvRecipientEmail) &_
	"</tbody></table></td>" & vbNewLine & "<td width=""35%""><table><tbody>" & vbNewLine &_
	"<tr><td><strong>Subject:</strong>&nbsp;" & Input("text", "subject", 20, 50, Null, Null) & "</td></tr>" & vbNewLine &_
	"<tr><td><strong>Body:</strong>&nbsp;" & Input("textarea", "body", 40, Null, 5, Null) & "</td></tr>" & vbNewLine &_
	"</tbody></table></td>" & vbNewLine & "</tr><tr><td>" & Input("submit", "submit", Null, Null, Null, "Send") & "</td></tr></tbody></table></form>" & vbNewLine
End Function
%>