<%
Function H1(pvH1)
	H1 = Tag("H1", pvH1)
End Function

Function H2(pvH2)
	H2 = Tag("H2", pvH2)
End Function

Function H3(pvH3)
	H3 = Tag("H3", pvH3)
End Function

Function H4(pvH4)
	H4 = Tag("H4", pvH4)
End Function

Function H5(pvH5)
	H5 = Tag("H5", pvH5)
End Function

Function H6(pvH6)
	H6 = Tag("H6", pvH6)
End Function

Function P(pvP)
	P = Tag("P", pvP)
End Function

Function Div(pvDiv)
	Div = Tag("Div", pvDiv)
End Function

Function Span(pvSpan)
	Span = Tag("Span", pvSpan)
End Function

Function Error(pvErrorType, pvError)
	Select Case pvErrorType
		Case 1:
			Error = "<p class=""error"">There was a problem processing the form input. " & pvError & "</p>"
		Case Else:
			Error = "<p class=""error"">" & pvError & "</a>"
	End Select
End Function

Function Success(pvSuccess)
	Success = "<p class=""success"">" & pvSuccess & "</a>"
End Function

Function Tag(pvTag, pvTagText)
	pvTag = LCase(pvTag)
	Tag = "<" & pvTag & ">" & pvTagText & "</" & pvTag & ">"
End Function

Function Input(pvInputType, pvInputName, pvInputWidth, pvInputMaxWidth, pvInputHeight, pvInputValue)
	pvInputType = LCase(pvInputType)
	pvInputName = LCase(pvInputName)
	Select Case UCase(pvInputType)
		Case "TEXTAREA":
			Input = "<textarea name=""" & pvInputName & """ rows=""" & pvInputHeight & """ cols=""" & (pvInputWidth/2) + 10 & """>"
			If pvInputValue <> "" Then
				Input = Input & pvInputValue
			End If
			Input = Input & "</textarea>"
		Case Else:
			Input = "<input type=""" & pvInputType & """ name=""" & pvInputName & """ "
			If pvInputType = "text" Or pvInputType = "password" Then
				Input = Input & "size=""" & pvInputWidth & """ "
			End If
			If pvInputType = "text" Or pvInputType = "password" Then
				Input = Input & "maxlength=""" & pvInputMaxWidth & """ "
			End If
			If pvInputValue <> "" Then
				Input = Input & "value=""" & pvInputValue & """ "
			End If
			If pvInputType = "checkbox" Or pvInputType = "radio" Then
				If pvInputWidth > 0 Then
					Input = Input & "checked "
				End If
			End If
			Input = Input & "/>"
	End Select
End Function
%>