<!-- #INCLUDE FILE="inc_header.asp" -->
<!-- #INCLUDE FILE="func_email.asp" -->
<!-- #INCLUDE FILE="func_sql.asp" -->
<%
Sub Main()
	Call GetValue(2, "Mode", 8)

	If qryMode = "lostpw" Then
		Call LostPW()
		Exit Sub
	End If

	If intUserLevel < 1 Then
		qryMode = "register"
	End If

	If qryMode = "register" Then
		Call Register()
		Exit Sub
	End If

	Call GetValue(1, "Action", 8)

	Response.Write(H2(strLanguageProfile))

	Select Case UCase(frmAction)
		Case "SQL":
			Call GetValue(1, "UserTitle", 8)
			Call GetValue(1, "UserPassword", 8)
			Call GetValue(1, "UserEmail", 8)
			Call GetValue(1, "UserText", 8)

			If UserCheck("Title", frmUserTitle) > 1 Or UserCheck("Email", frmUserEmail) > 1 Then
				Response.Write(Error(0, "User name or email address in use. Please try again."))
				Exit Sub
			End If

			If Len(frmUserTitle) < 1 Or Len(frmUserPassword) < 1 Or Len (frmUserEmail) < 1 Or Len(frmUserTitle) < 1 Then
				Response.Write(Error(1, "Please fill in all required form fields."))
				Exit Sub
			End If

			objRS.Open TableUpdate(strConfigTablePrefix & "Users", "UserTitle, UserPassword, UserEmail, UserText", "'" & SQLText(frmUserTitle) & "'> '" & SQLText(frmUserPassword) & "'> '" & SQLText(frmUserEmail) & "'> '" & SQLMemo(frmUserText) & "'", "UserID", intUserID), objConn

			objRS.Open TableSelectWhere(strConfigTablePrefix & "Users", "UserID", intUserID, "UserID", "DESC"), objConn

			If frmUserEmail <> objRS.Fields("UserEmail") Then
				objRS.Close
				frmUserPassword = CreatePass()

				Call SendEmail(strConfigForumTitle, strConfigEmailSender, strEmailUserTitle, frmUserEmail, "Password for " & frmUserTitle & ".", "Hi," & vbNewLine & "the user account '" & frmUserTitle & "' has changed its email address. To verify that this address exists, a new password has been created." & vbNewLine & "The password for this account is '" & strUserPassword & "' (without the external quotes).")

				objRS.Open TableUpdate(strConfigTablePrefix & "Users", "UserPassword", "'" & frmUserPassword & "'", "UserID", intUserID), objConn

				Dim strResponse
				strResponse = " A new password has been sent to verify your new email address."
			End If

			objRS.Close

			Response.Write(Success("Profile updated succesfully." & strResponse))
		Case Else:
			Dim strUserPassword, strUserEmail, strUserText, strUserLink

			objRS.Open TableSelectWhere(strConfigTablePrefix & "Users", "UserID", intUserID, "UserID", "ASC"), objConn, adOpenStatic

			If objRS.RecordCount < 1 Then
				Call UserList()
				Exit Sub
			End If

			strUserPassword = objRS.Fields("UserPassword")
			strUserEmail = objRS.Fields("UserEmail")
			strUserText = objRS.Fields("UserText")
			strUserLink = objRS.Fields("UserLink")
			objRS.Close

			Call ProfileForm(strUserTitle, strUserPassword, strUserEmail, strUserLink, strUserText)
	End Select
End Sub

Sub LostPW()
	Call GetValue(1, "Action", 8)

	Select Case UCase(frmAction)
		Case "SEND":
			Dim strUserEmail, strUserPassword

			strUserPassword = CreatePass()

			Call GetValue(1, "UserTitle", 8)

			objRS.Open TableSelectWhere(strConfigTablePrefix & "Users", "UserTitle", "'" & SQLText(frmUserTitle) & "'", "UserID", "ASC"), objConn, adOpenStatic

			strUserEmail = objRS.Fields("UserEmail")

			objRS.Close

			objRS.Open TableUpdate(strConfigTablePrefix & "Users", "UserPassword", "'" & strUserPassword & "'", "UserTitle", "'" & frmUserTitle & "'"), objConn

			Call SendEmail(strConfigForumTitle, strConfigEmailSender, frmUserTitle, strUserEmail, "Password for " & frmUserTitle & ".", "Hi," & vbNewLine & "the user account '" & frmUserTitle & "' has requested a new password." & vbNewLine & "The password for this account is '" & strUserPassword & "' (without the external quotes).")

			Response.Write(Success("Password sent to " & strUserEmail & "."))
		Case Else:
			Response.Write("<form action=""profile.asp?mode=lostpw"" method=""post"">" & Input("hidden", "action", Null, Null, Null, "send") & "<p align=""center"">Please enter your username: " & Input("text", "usertitle", 20, 50, Null, Null) & "</p><p align=""center"">" & Input("submit", "submit", Null, Null, Null, "Submit") & "</p></form>" & vbNewLine)
	End Select
End Sub

Sub Register()
	Call GetValue(1, "Action", 8)

	Response.Write(H2(strLanguageRegister))

	Select Case UCase(frmAction)
		Case "AGREE":
			Call ProfileForm(Null, Null, Null, Null, Null)
		Case "DISAGREE":
			Redirect("default.asp")
		Case "SQL":
			Dim strUserPassword

			Call GetValue(1, "UserTitle", 8)
			Call GetValue(1, "UserEmail", 8)
			Call GetValue(1, "UserTitle", 8)

			strUserPassword = CreatePass()

			If UserCheck("Title", frmUserTitle) > 0 Or UserCheck("Email", frmUserEmail) > 0 Then
				Response.Write(Error(0, "User name or email address in use. Please try again."))
				Exit Sub
			End If

			If Len(frmUserTitle) < 1 Or Len (frmUserEmail) < 1 Or Len(frmUserTitle) < 1 Then
				Response.Write(Error(1, "Please fill in all required form fields."))
				Exit Sub
			End If

			objRS.Open TableInsert(strConfigTablePrefix & "Users", "UserTitle, UserPassword, UserEmail, UserLevel, UserText", "'" & SQLText(frmUserTitle) & "', '" & SQLText(strUserPassword) & "'> '" & SQLText(frmUserEmail) & "', 2, '" & SQLMemo(frmUserText) & "'"), objConn
			objRS.Close

			Call SendEmail(strConfigForumTitle, strConfigEmailSender, frmUserTitle, frmUserEmail, "Password for " & frmUserTitle & ".", "Hi," & vbNewLine & "the user account '" & frmUserTitle & "' has been registered successfully." & vbNewLine & "The password for this account is '" & strUserPassword & "' (without the external quotes).")

			Response.Write(Success("Registered succesfully. An email has been sent to " & frmUserEmail & " containing your password."))
		Case Else:
			Response.Write(P("If you agree to the terms and conditions stated below, press the &quot;Agree&quot; button. Otherwise, press &quot;Disagree&quot;.") & vbNewLine)
			Response.Write(P("In order to post comments at " & strConfigForumTitle & ", users are required to provide a username, password, and email address. In addition, they may provide a link to a webpage to be displayed in their profile. Neither the administrators of this site, or the moderators participating, are responsible for the privacy practices of any user. Remember that all information that is disclosed in these areas becomes public information and you should exercise caution when deciding to share any of your personal information. Your email address, however, <strong>will not be displayed publicly</strong>, but will be available to other registered members. Any user who finds material posted by another user objectionable is encouraged to contact us via email. We are authorized by you to remove or modify any data submitted by you to this site for any reason we feel constitutes a violation of our policies, whether stated, implied or not.") & vbNewLine)
			Response.Write(P("This site may contain links to other web sites and files. We have no control over the content and can not ensure it will not be offensive or objectionable.  We will, however, remove links to material that we feel are inappropriate as we become aware of them.") & vbNewLine)
			Response.Write(P("These forums give users two options for changing and modifying information that they provide in their profile:") & "<ul><li>Users can login with their username and password and change any information in their profile.</li><li>In case of lost password, users can send an email to <a href=""mailto:" & strConfigEmailSender & """>" & strConfigEmailSender & "</a>.</li></ul>" & vbNewLine)
			Response.Write(P("Cookies must be turned on in your browser to participate in the discussion at this site. Cookies are used here to hold your user ID and password.") & vbNewLine)
			Response.Write(P("By pressing the &quot;Agree&quot; button that you, the user, are 13 years of age or over. You are fully responsible for any information or file supplied by this user. You also agree that you will not post any copyrighted material that is not owned by yourself or the owners of this site. In your use of this site, you agree that you will not post any information which is vulgar, harassing, hateful, threatening, invading of others privacy, sexually oriented, or violates any laws.") & vbNewLine)
			Response.Write(P("If you do agree with the rules and policies stated in this agreement, and meet the criteria stated herein, proceed to press the &quot;Agree&quot; button below, otherwise press &quot;Disagree&quot;.") & vbNewLine)
			Response.Write("<p align=""center"">" & vbNewLine)
			Response.Write("<form action=""profile.asp?mode=register"" method=""post"">" & Input("hidden", "action", Null, Null, Null, "agree") & Input("submit", "submit", Null, Null, Null, "Agree") & "</form>" & vbNewLine)
			Response.Write("<form action=""profile.asp?mode=register"" method=""post"">" & Input("hidden", "action", Null, Null, Null, "disagree") & Input("submit", "submit", Null, Null, Null, "Disgree") & "</form>" & vbNewLine)
			Response.Write("</p>" & vbNewLine)
	End Select
End Sub

Sub ProfileForm(pvUserTitle, pvUserPassword, pvUserEmail, pvUserLink, pvUserText)
	Response.Write("<form action=""profile.asp"" method=""post"">")
	Response.Write(Input("hidden", "action", Null, Null, Null, "sql"))
	Response.Write("<table width=""70%"" align=""center"">" & vbNewLine & "<thead><th>Basic Info</th><th>Extended Info</th></thead>" & vbNewLine & "<tbody>" & vbNewLine)
	Response.Write("<tr>" & vbNewLine & "<td width=""35%""><table><tbody>" & vbNewLine)
	Response.Write("<td><strong>User name:</strong>&nbsp;" & Input("text", "usertitle", 20, 50, Null, FormText(pvUserTitle)) & "</td></tr>" & vbNewLine)
	If Len(pvUserPassword) > 0 Then
		Response.Write("<tr><td><strong>Password:</strong>&nbsp;" & Input("text", "userpassword", 20, 50, Null, FormText(pvUserPassword)) & "</td></tr>" & vbNewLine)
	End If
	Response.Write("<tr><td><strong>Email address:</strong>&nbsp;" & Input("text", "useremail", 20, 50, Null, FormText(pvUserEmail)) & "</td></tr>" & vbNewLine)
	Response.Write("</tbody></table></td>" & vbNewLine & "<td width=""35%""><table><tbody>" & vbNewLine)
	Response.Write("<tr><td><strong>Link:</strong>&nbsp;" & Input("text", "userlink", 20, 50, Null, FormText(pvUserLink)) & "</td></tr>" & vbNewLine)
	Response.Write("<tr><td><strong>Information:</strong>&nbsp;" & Input("textarea", "usertext", 40, Null, 5, FormMemo(pvUserText)) & "</td></tr>" & vbNewLine)
	Response.Write("</tbody></table></td>" & vbNewLine & "</tr><tr><td>" & Input("submit", "submit", Null, Null, Null, "Submit") & vbNewLine)
	Response.Write("</td></tr></tbody></table></form>" & vbNewLine)
End Sub

Function UserCheck(pvType, pvCheck)
	objRS.Open TableSelectWhere(strConfigTablePrefix & "Users", "User" & pvType, "'" & pvCheck & "'", "UserID", "ASC"), objConn, adOpenStatic

	UserCheck = objRS.RecordCount

	objRS.Close
End Function

Function CreatePass()
	Dim pvRandom, pvPassword, pvIntLooping

	Randomize() 

	pvIntLooping = 0
	pvRandom = Rnd() * 50

	Do While pvIntLooping < 7
		If CInt(pvRandom) > 0 And CInt(pvRandom) < 26 Then
			pvPassword = pvPassword + Chr(97 + CInt(pvRandom))
			pvIntLooping = pvIntLooping + 1
		End If

		pvRandom = Rnd() * 100
	Loop

	CreatePass = pvPassword
End Function
%>
<!-- #INCLUDE FILE="inc_footer.asp" -->