<!-- #INCLUDE FILE="inc_header.asp" -->
<!-- #INCLUDE FILE="func_email.asp" -->
<%
Sub Main()
	Response.Write(H2(strLanguageUsers))

	Dim strShowUserTitle, strUserText, strUserLink, dteUserPosted

	Call GetValue(2, "Mode", 8)
	Call GetValue(2, "UserID", 2)

	If qryMode = "email" Then
		Call UserEmail()
		Exit Sub
	End If

	If qryMode = "sendemail" Then
		Call UserSendEmail()
		Exit Sub
	End If

	If Len(qryUserID) < 1 Then
		Call UserList()
		Exit Sub
	End If

	objRS.Open TableSelectWhere(strConfigTablePrefix & "Users", "UserID", qryUserID, "UserID", "ASC"), objConn, adOpenStatic

	If objRS.RecordCount < 1 Then
		Call UserList()
		Exit Sub
	End If

	strShowUserTitle = objRS.Fields("UserTitle")
	strUserText = objRS.Fields("UserText")
	strUserLink = objRS.Fields("UserLink")
	dteUserPosted = ConvertDate(objRS.Fields("UserPosted"))

	Response.Write("<table width=""50%"" align=""center"">" & vbNewLine & "<thead><th>Basic Info</th><th>Extended Info</th></thead>" & vbNewLine & "<tbody>" & vbNewLine)
	Response.Write("<tr>" & vbNewLine & "<td width=""25%""><table><tbody>" & vbNewLine)
	Response.Write("<tr><td><strong>User name:</strong>&nbsp;" & strShowUserTitle & "</td></tr>" & vbNewLine)
	Response.Write("<tr><td><strong>User ID:</strong>&nbsp;" & qryUserID & " (<a href=""search.asp?userid=" & qryUserID & """>Search for posts by " & strShowUserTitle & "</a>.)</td></tr>" & vbNewLine)
	Response.Write("<tr><td><strong>Email:</strong>&nbsp;<a href=""user.asp?mode=email&userid=" & qryUserID & """>Click here to email &quot;" & strShowUserTitle & "&quot;</a></td></tr>" & vbNewLine)
	Response.Write("<tr><td><strong>Registered:</strong>&nbsp;" & dteUserPosted & "</td></tr>" & vbNewLine)
	Response.Write("</tbody></table></td>" & vbNewLine & "<td width=""25%""><table><tbody><tr>" & vbNewLine)
	Response.Write("<tr><td><strong>Link:</strong>&nbsp;<a href=""" & strUserLink & """>" & strUserLink & "</a></td></tr>" & vbNewLine)
	Response.Write("<tr><td><strong>Information:</strong>&nbsp;" & strUserText & "</td></tr>" & vbNewLine)
	Response.Write("</tbody></table></td>" & vbNewLine & "</tbody></table>" & vbNewLine)	
End Sub

Sub UserEmail()
	Dim strSenderEmail, strRecipient, strRecipientEmail

	If qryUserID < 1 Then
		Call UserList()
		Exit Sub
	End If

	If intUserLevel < 1 Then
		Redirect("user.asp?userid=" & qryUserID)
		Exit Sub
	End If

	objRS.Open TableSelectWhere(strConfigTablePrefix & "Users", "UserID", intUserID, "UserID", "ASC"), objConn, adOpenStatic

	strSenderEmail = objRS.Fields("UserEmail")

	objRS.Close

	objRS.Open TableSelectWhere(strConfigTablePrefix & "Users", "UserID", qryUserID, "UserID", "ASC"), objConn, adOpenStatic

	strRecipient = objRS.Fields("UserTitle")
	strRecipientEmail = objRS.Fields("UserEmail")

	objRS.Close

	Response.Write(ShowEmailForm(strUserTitle, strSenderEmail, strRecipient, strRecipientEmail))
End Sub

Sub UserSendEmail()
	Call GetValue(1, "Sender", 8)
	Call GetValue(1, "SenderEmail", 8)
	Call GetValue(1, "Recipient", 8)
	Call GetValue(1, "RecipientEmail", 8)
	Call GetValue(1, "Subject", 8)
	Call GetValue(1, "Body", 8)

	Call SendEmail(frmSender, frmSenderEmail, frmRecipient, frmRecipientsEmail, frmSubject, frmBody)

	Response.Write(Success("Email sent."))
End Sub

Sub UserList()
	Dim intRecordsShown, intShowUserID, dteUserPosted

	intRecordsShown = 0

	Call GetValue(2, "Page", 2)
	Call GetValue(2, "Sort", 8)
	Call GetValue(2, "Direction", 8)

	If qryPage = "" Then
		qryPage = 1
	End If

	If qrySort = "" Then
		qrySort = "posted"
	End If

	If qryDirection = "" Then
		qryDirection = "desc"
	End If

	Response.Write("<table width=""100%"">" & vbNewLine & "<thead>" & vbNewLine & "<th><a href=""user.asp?sort=title&direction=desc""><img src=""img_sort_desc.gif"" alt=""Name, descending"" border=""0""/></a>&nbsp;Name&nbsp;<a href=""user.asp?sort=title&direction=asc""><img src=""img_sort_asc.gif"" alt=""Name, ascending"" border=""0""/></a></th><th><a href=""user.asp?sort=posted&direction=desc""><img src=""img_sort_desc.gif"" alt=""Registered, descending"" border=""0""/></a>&nbsp;Registered&nbsp;<a href=""user.asp?sort=posted&direction=asc""><img src=""img_sort_asc.gif"" alt=""Registered, ascending"" border=""0""/></a></th>" & vbNewLine & "</thead>" & vbNewLine & "<tbody>" & vbNewLine)

	objRS.PageSize = strConfigPageSize
'	objRS.CacheSize = strConfigPageSize

	objRS.Open TableSelectAll(strConfigTablePrefix & "Users", "User" & qrySort, UCase(qryDirection)), objConn, adOpenStatic

	objRS.AbsolutePage = qryPage

	Do While intRecordsShown < strConfigPageSize And Not objRS.EOF

		intShowUserID = objRS.Fields("UserID")
		dteUserPosted = ConvertDate(objRS.Fields("UserPosted"))

		Response.Write("<tr><td align=""center"">" & Div(ShowUser(intShowUserID)) & "</td><td align=""center"">" & Div(dteUserPosted) & "</td></tr>" & vbNewLine)

		intRecordsShown = intRecordsShown + 1
		objRS.MoveNext
	Loop

	Response.Write("</tbody>" & vbNewLine & "</table>" & vbNewLine)

	Response.Write("<div align=""right"">")
	If qryPage > 1 Then
		Response.Write("<a href=""user.asp?page=" & qryPage - 1 & """>Previous page</a>")
	End If
	If intRecordsShown = strConfigPageSize Then
		If qryPage > 1 Then
			Response.Write("&nbsp;|&nbsp;")
		End If
		Response.Write("<a href=""user.asp?page=" & qryPage + 1 & """>Next page</a>")
	End If
	Response.Write("</div>")

	objRS.Close
End Sub
%>
<!-- #INCLUDE FILE="inc_footer.asp" -->